/*
 * This is a little class that poses as NSSavePanel and just happens
 * to post a notification when you hit "ok" - so that other objects
 * (e.g. the Recent object) can get an indication that something interesting
 * has happened and that they ought to update their list, since the
 * current window may have changed its name.
 */

#import "NotifyingSavePanel.h"

@implementation NotifyingSavePanel
- (void)ok:(id)sender
{
    [super ok:sender];
    [[NSNotificationCenter defaultCenter]
                postNotificationName:@"SavePanelSaysOK"
                object:self];
        
}

@end
